Name:           x2goserver-matebindings
Version:        0.0.1.3
Release:        0.beta4%{?dist}
Summary:        X2Go MATE bindings and MIME types
%if 0%{?suse_version}
License:        GPL-2.0+
Group:          Productivity/Networking/Remote Desktop
%else
Group:          Applications/Communications
License:        GPLv2+
%endif
URL:            http://www.x2go.org/
Source0:        http://code.x2go.org/releases/source/x2gomatebindings/x2gomatebindings-%version.tar.gz
Source1:        x2gomatebindings-rpmlintrc

Patch0:		x2goserver-matebindings-0.0.1.3-locale_fr.patch

BuildRequires:  autoconf >= 2.57, automake >= 1.7.6
BuildRequires:  mate-common
BuildRequires:  gnome-icon-theme
BuildRequires:  mate-desktop-devel
BuildRequires:  caja-devel
BuildRequires:  pkgconfig
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Requires:       x2goserver >= 4.0.1.4
Requires:       x2goserver-extensions
Requires:       zenity
Requires:       mate-menus
Requires:       desktop-file-utils
Requires:       mate-session-manager
Requires:       caja >= 1.6.0
Requires:       gtk3
Requires:       gnome-icon-theme

%description
X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go MATE Bindings contains MIME type information for X2Go if used with
MATE desktops.

%prep
%setup -q -n x2gomatebindings-%{version}
%patch0 -p1

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi;
%configure
make %{?_smp_mflags};


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_sbindir}
make install DESTDIR="%buildroot" INSTALL_ROOT="%buildroot" STRIP="true";
install -p -m 755 bin/x2gocaja %{buildroot}%{_bindir}/
install -p -m 755 bin/x2gosuspend-session-mate %{buildroot}%{_bindir}/
install -p -m 755 bin/x2goumount-session-mate %{buildroot}%{_bindir}/
install -p -m 755 sbin/update-mate-menu-x2go %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}%{_datadir}/x2go/versions/
install -p -m 644 VERSION.x2gomatebindings %{buildroot}%{_datadir}/x2go/versions/
mkdir -p %{buildroot}%{_datadir}/{applications,icons/mate/scalable/mimetypes,mime/packages}
desktop-file-install --dir %{buildroot}%{_datadir}/applications/ share/applications/x2gocaja.desktop
desktop-file-install --dir %{buildroot}%{_datadir}/applications/ share/applications/x2gosuspend-mate.desktop
%if 0%{?suse_version} && 0%{?suse_version} >= 1320
install -p -m 644 share/icons/mate/scalable/mimetypes/drive*.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/
ln -s -f drive-optical.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfscdrom-x2go-mate.svg
ln -s -f drive-harddisk.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsdisk-x2go-mate.svg
ln -s -f drive-removable-media.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsremovable-x2go-mate.svg
%else
ln -s -f ../../../gnome/scalable/devices/drive-harddisk.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsdisk-x2go-mate.svg
ln -s -f ../../../gnome/scalable/devices/drive-removable-media.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfsremovable-x2go-mate.svg
ln -s -f ../../../gnome/scalable/devices/drive-optical.svg %{buildroot}%{_datadir}/icons/mate/scalable/mimetypes/mate-mime-application-sshfscdrom-x2go-mate.svg
%endif
install -p -m 644 share/mime/packages/*.xml %{buildroot}%{_datadir}/mime/packages/
mkdir -p %{buildroot}%{_datadir}/x2go/x2gofeature.d/
install -p -m 755 share/x2go/x2gofeature.d/*.features %{buildroot}%{_datadir}/x2go/x2gofeature.d/
mkdir -p %{buildroot}%{_sysconfdir}/xdg/menus/
install -p -m 644 xdg-menus/mate-settings-x2go.menu %{buildroot}%{_sysconfdir}/xdg/menus/
mkdir -p %{buildroot}%{_libdir}/x2go/extensions/pre-runcommand.d/
install -p -m 644 lib/x2go/extensions/pre-runcommand.d/005_MATE-monitors-xml-ignore %{buildroot}%{_libdir}/x2go/extensions/pre-runcommand.d/


%post
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :
/usr/sbin/update-mate-menu-x2go &>/dev/null || :
/usr/bin/update-mime-database /usr/share/mime &>/dev/null || :
/usr/bin/update-desktop-database &>/dev/null || :

%preun
/usr/sbin/update-mate-menu-x2go --remove &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :
	/usr/bin/update-mime-database /usr/share/mime &>/dev/null || :
	/usr/bin/update-desktop-database &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &>/dev/null || :


%files
%defattr(-,root,root)
%doc COPYING INSTALL AUTHORS ChangeLog NEWS README
%{_sysconfdir}/
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/*
%{_libdir}/*


%changelog

* Tue Dec 15 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.0.1.3-1
- BUild with the provided spec file
